Bug 480235 - Review Request: subtitlecomposer - A text-based subtitles editor
Review Request: subtitlecomposer - A text-based subtitles editor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-15 15:00 EST by Steven M. Parrish
Modified: 2009-04-09 12:18 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.5.2-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-09 12:10:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Rex Dieter 2009-01-15 15:23:48 EST
initial comments from quick perusal:
1.  use BR: kdelibs4-devel instead of kdelibs-devel (to avoid ambiguity)

2. omit
-DCMAKE_INSTALL_PREFIX=$(kde4-config --prefix) -DCMAKE_BUILD_TYPE=debugfull
not required or desired, %_cmake_kde4 macro includes both already

3.  what's
-DKDE4_BUILD_TESTS:BOOL=${BUILD_TESTS}
for?  I don't see BUILD_TESTS defined anywhere. ?

4.  missing icon scriptlets
Comment 2 Steven M. Parrish 2009-01-15 16:07:31 EST
1, 2, 3 all fixed
Can you give an example of what you are looking at for #4.  Never used scriplets for icons b4.
Comment 3 Rex Dieter 2009-01-15 16:14:16 EST
example, kdetoys:
http://cvs.fedoraproject.org/viewvc/devel/kdetoys/kdetoys.spec?revision=1.42&view=markup

Requires(post): xdg-utils
Requires(postun): xdg-utils

%post
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%postun
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
Comment 4 Steven M. Parrish 2009-01-15 19:09:58 EST
all fixed  new spec and srpm online
Comment 5 Rex Dieter 2009-03-18 09:09:04 EDT
Looking at
http://tuxbrewr.fedorapeople.org/subtitlecomposer
I don't see any scriptlets.

But I don't see any remaining problems or blockers, APPROVED.


Cosmetic items worth fixing before building:
1.  icon scriptlets (see comment #3 for an example).

2.  use kde4 macros like
%{_kde4_iconsdir} instead of %{_datadir}/icons
%{_kde4_appsdir}  instead of %{_datadir}/kde4/apps

3.  drop "for KDE" in summary/description.  It should work just fine outside of KDE.

4.  Not sure if it's possible, but try to use a full URL for Source0.  kde-apps may make this difficult to do though. :)
Comment 6 Steven M. Parrish 2009-03-18 10:28:15 EDT
New Package CVS Request
=======================
Package Name: subtitlecomposer 
Short Description: A text based subtitles editor
Owners: tuxbrewr
Branches: F9 F10
InitialCC:
Comment 7 Kevin Fenzi 2009-03-19 23:01:34 EDT
cvs done.
Comment 8 nucleo 2009-03-31 04:01:43 EDT
Subtitle Composer not in Multimedia KDE memu but in Other.
Comment 9 Rex Dieter 2009-03-31 09:43:04 EDT
nod,  maybe:
Categories=Qt;Video;AudioVideoEditing;
would be better.

See
http://standards.freedesktop.org/menu-spec/menu-spec-1.0.html#category-registry
for available categories.
Comment 10 nucleo 2009-03-31 14:05:31 EDT
I nistall  subtitlecomposer-0.5.2-2 with

  Categories=Qt;Video;AudioVideoEditing;

in desktop file but it still in Other menu.
Comment 11 Rex Dieter 2009-03-31 14:13:01 EDT
Ugh, ok, this:
Categories=Qt;AudioVideo;AudioVideoEditing;

(looks like Audio and Video categories aren't used or grok'd, which isn't surprising in the presence of AudioVideo too)
Comment 12 Fedora Update System 2009-03-31 20:12:31 EDT
subtitlecomposer-0.5.2-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/subtitlecomposer-0.5.2-3.fc9
Comment 13 Fedora Update System 2009-03-31 20:13:12 EDT
subtitlecomposer-0.5.2-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/subtitlecomposer-0.5.2-3.fc10
Comment 14 nucleo 2009-03-31 22:15:56 EDT
There is in subtitlecomposer-0.5.2-2
  Categories=Qt;KDE;Video;AudioVideoEditing;
but it still in Other menu.
If I edit /usr/share/applications/kde4/subtitlecomposer.desktop
and change Video to AudioVideo it in right place in Multimedia.

(In reply to comment #13)
> subtitlecomposer-0.5.2-3.fc10 has been submitted as an update for Fedora 10.
> http://admin.fedoraproject.org/updates/subtitlecomposer-0.5.2-3.fc10  

Found Qt-Version 4.4.3

(In reply to comment #12)
> subtitlecomposer-0.5.2-3.fc9 has been submitted as an update for Fedora 9.
> http://admin.fedoraproject.org/updates/subtitlecomposer-0.5.2-3.fc9  

Found Qt-Version 4.5.0

But Qt 4.5.0 not in updates in F-9. Is it will be work?
Comment 15 Fedora Update System 2009-04-02 13:16:21 EDT
subtitlecomposer-0.5.2-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update subtitlecomposer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3223
Comment 16 Fedora Update System 2009-04-02 13:20:59 EDT
subtitlecomposer-0.5.2-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update subtitlecomposer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3275
Comment 17 Fedora Update System 2009-04-09 12:10:53 EDT
subtitlecomposer-0.5.2-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-04-09 12:18:07 EDT
subtitlecomposer-0.5.2-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.